package com.pcloud.book.group.dto;

import java.io.Serializable;

/**
 * @author lily
 * @date 2019/4/28 15:02
 */
public class GroupQrcodeDTO implements Serializable {

    /**
     * 分类二维码标识
     */
    private Long id;

    /**
     * 分类标识
     */
    private Long classifyId;

    /**
     * 微信二维码标识
     */
    private Long weixinQrcodeId;

    /**
     * 微信群标识
     */
    private Long weixinGroupId;

    /**
     * 限制人数
     */
    private Integer changeNumber;

    /**
     * 二维码状态
     */
    private Integer qrcodeState;

    /**
     * 使用状态
     */
    private Integer useState;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getWeixinQrcodeId() {
        return weixinQrcodeId;
    }

    public void setWeixinQrcodeId(Long weixinQrcodeId) {
        this.weixinQrcodeId = weixinQrcodeId;
    }

    public Integer getChangeNumber() {
        return changeNumber;
    }

    public void setChangeNumber(Integer changeNumber) {
        this.changeNumber = changeNumber;
    }

    public Integer getQrcodeState() {
        return qrcodeState;
    }

    public void setQrcodeState(Integer qrcodeState) {
        this.qrcodeState = qrcodeState;
    }

    public Integer getUseState() {
        return useState;
    }

    public void setUseState(Integer useState) {
        this.useState = useState;
    }

    public Long getWeixinGroupId() {
        return weixinGroupId;
    }

    public void setWeixinGroupId(Long weixinGroupId) {
        this.weixinGroupId = weixinGroupId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    @Override
    public String toString() {
        return "GroupQrcodeDTO{" +
                "id=" + id +
                ", classifyId=" + classifyId +
                ", weixinQrcodeId=" + weixinQrcodeId +
                ", weixinGroupId=" + weixinGroupId +
                ", changeNumber=" + changeNumber +
                ", qrcodeState=" + qrcodeState +
                ", useState=" + useState +
                '}';
    }
}
